<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<head>
    <meta charset="UTF-8">
    <title>Login</title>
    <link href="//maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" rel="stylesheet" id="bootstrap-css">
    <link rel="stylesheet" th:href="@{/css/login.css}" href="../static/css/login.css"/>
    <link rel="stylesheet" th:href="@{/css/styles.css}" href="../static/css/styles.css"/>
    <script src="//maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js"></script>
    <script src="//cdnjs.cloudflare.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>

    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css"
          integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
</head>
<body>

<div class="container-fluid">
    <nav class="navbar navbar-expand-lg navbar-dark bg-dark sticky-top">
        <a class="navbar-brand" href="/">Beer-Tag</a>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav"
                aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarNav">
            <ul class="navbar-nav">
                <li class="nav-item ">
                    <a class="nav-link" href="/beers">Beers</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="/breweries">Breweries</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="/users">Users</a>
                </li>
            </ul>
            <ul class="nav navbar-nav ml-auto">
                <li class="nav-item " sec:authorize="isAnonymous()">
                    <a class="nav-link" href="/login">Login</a>
                </li>
                <li>
                    <form style="margin-top: 0;" sec:authorize="isAuthenticated()" th:action="@{/logout}" method="post">
                        <input type="submit" class="btn btn-link btn-logout" value="Logout"/>
                    </form>
                </li>
            </ul>
        </div>
    </nav> <!-- end of navbar -->
</div>

<div class="login-reg-panel">
    <div class="login-info-box">
        <h2>Have an account?</h2>
        <label id="label-register" for="log-reg-show">Login</label>
        <input type="radio" name="active-log-panel" id="log-reg-show" checked="checked">
    </div>

    <div class="register-info-box">
        <h2>Don't have an account?</h2>
        <label id="label-login" for="log-login-show">Register</label>
        <input type="radio" name="active-log-panel" id="log-login-show">
    </div>

    <div class="white-panel">
        <div class="login-show">
            <h2 style="padding-bottom: 3rem">LOGIN</h2>
            <p>
                <i th:if="${param.error}" class="error">Wrong username or password.</i>
            </p>
            <p>
                <i th:if="${param.logout}">You have been successfully logged out.</i>
            </p>
            <form th:action="@{/authenticate}" method="post">
                <div class="input-group mb-3">
                    <input type="email" id="username" name="username" class="form-control" placeholder="Email">
                </div>
                <div class="input-group mb-3">
                    <input type="password" id="password" name="password" class="form-control" placeholder="Password">
                </div>
                <button type="submit" class="btn btn-primary btn-danger">
                    Login
                </button>
            </form>
        </div>
        <div class="register-show">
            <h2>REGISTER</h2>

            <p>
                <i th:if="${error != null}" th:text="${error}" class="error"></i>
            </p>

            <form th:action="@{/register}" th:object="${userDto}" method="post">

                <div class="input-group mb-3">
                    <input type="email" class="form-control" placeholder="Email" th:field="*{email}">
                    <label th:errors="*{email}"></label>
                </div>

                <div class="input-group mb-3">
                    <input type="password" class="form-control" placeholder="Password"
                           th:field="*{password}" minlength="6" maxlength="30">
                </div>

                <div class="input-group mb-3">
                    <input type="password" class="form-control" placeholder="Re-type Password"
                           th:field="*{passwordConfirmation}" minlength="6" maxlength="30">
                </div>

                <div class="input-group mb-3">
                    <input type="text" class="form-control" placeholder="First Name" th:field="*{firstName}"
                           minlength="2" maxlength="30">
                    <label th:errors="*{firstName}"></label>
                </div>

                <div class="input-group mb-3">
                    <input type="text" class="form-control" placeholder="Last Name" th:field="*{lastName}" minlength="2"
                           maxlength="30">
                </div>

                <div class="input-group mb-3">
                    <div class="input-group-prepend">
                        <label class="input-group-text" for="inputGroupSelect01">Country</label>
                    </div>
                    <select class="custom-select" id="inputGroupSelect01" th:field="*{countryId}">
                        <option th:each="country : ${countries}"
                                th:value="${country.getId()}"
                                th:text="${country.getName()}">Choose...
                        </option>
                    </select>
                </div>

                <input class="btn btn-primary btn-danger" type="submit" value="Register"/>
            </form>
        </div>
    </div>
</div>

<script>
    $(document).ready(function () {
        $('.login-info-box').fadeOut();
        $('.login-show').addClass('show-log-panel');
    });


    $('.login-reg-panel input[type="radio"]').on('change', function () {
        if ($('#log-login-show').is(':checked')) {
            $('.register-info-box').fadeOut();
            $('.login-info-box').fadeIn();

            $('.white-panel').addClass('right-log');
            $('.register-show').addClass('show-log-panel');
            $('.login-show').removeClass('show-log-panel');

        } else if ($('#log-reg-show').is(':checked')) {
            $('.register-info-box').fadeIn();
            $('.login-info-box').fadeOut();

            $('.white-panel').removeClass('right-log');

            $('.login-show').addClass('show-log-panel');
            $('.register-show').removeClass('show-log-panel');
        }
    });

</script>

</body>
</html>